%define anolis_release 1

Name:           python-hatchling
Version:        1.22.2
Release:        %{anolis_release}%{?dist}
Summary:        The build backend used by Hatch
License:        MIT
URL:            https://pypi.org/project/hatchling
Source0:        https://files.pythonhosted.org/packages/a3/51/8a4a67a8174ce59cf49e816e38e9502900aea9b4af672d0127df8e10d3b0/hatchling-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
This is the extensible, standards compliant build backend used by Hatch.


%package -n python3-hatchling
Summary:        %{summary}

%description -n python3-hatchling
This is the extensible, standards compliant build backend used by Hatch.

%package -n python3-hatchling-doc
Summary:        %{summary}
Requires:       python3-hatchling = %{version}-%{release}
BuildArch:      noarch

%description -n python3-hatchling-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n hatchling-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files hatchling

%check
# Is not yet clear how, or if, we can run the upstream tests.
# https://github.com/pypa/hatch/issues/120
%pyproject_check_import

%files -n python3-hatchling -f %{pyproject_files}
%license LICENSE.txt
%{_bindir}/hatchling

%files -n python3-hatchling-doc
%doc README.md

%changelog
* Mon Apr 28 2025 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.22.2-1
- Update to 1.22.2 for jupyterlab 4.2.5

* Wed Mar 13 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.21.0-2
- Rebuild with python3.11

* Fri Jan 12 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 1.21.0-1
- New version 1.21.0

* Tue May 9 2023 Funda Wang <fundawang@yeah.net> - 1.14.1-1
- New version 1.14.1

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 1.13.0-1
- update to 1.13.0

* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.11.1-1
- update to version 1.11.1

* Fri Oct 14 2022 happy_orange <songnannan@linux.alibaba.com> - 1.11.0-1
- init package from upstream
